Anonymous Login
2019-04-21 15:18 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000828v2.4 Release (Closed)[All Projects] Generalpublic2011-08-16 23:49
Reporterpatrocher 
Assigned Tocaseydk 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.4 
Summary0000828: "Set task start date based on dependency" causes crash of database
DescriptionIf I check this option in the dependencies tab and save, the system goes for a very long time and ends with the message below.

The task has 1 dependency task defined and "Dependency tracking" is set to "on".
Additional InformationERROR: /home/www/90fcf3ba8c546f97b3a543323c86433f/web/w2p/classes/w2p/Database/Query.class.php(1116) : query failed(SELECT count(session_id) as row_count FROM ((`sessions` AS sessions)) WHERE session_id = 'a23caf4c8a7163850bcb0d457b282ec2') - error was: MySQL server has gone away
Backtrace:
0 /home/www/90fcf3ba8c546f97b3a543323c86433f/web/w2p/classes/w2p/Database/Query.class.php:1116 dprint()
1 /home/www/90fcf3ba8c546f97b3a543323c86433f/web/w2p/includes/session.php:68 exec()
2 : w2PsessionWrite()
3 : session_write_close()

ERROR: /home/www/90fcf3ba8c546f97b3a543323c86433f/web/w2p/classes/w2p/Database/Query.class.php(1116) : query failed(INSERT INTO `sessions`(`session_id`,`session_data`,`session_created`) VALUES ('a23caf4c8a7163850bcb0d457b282ec2','LANGUAGES|a:7:{s:5:\"de_DE\";a:5:{i:0;s:2:\"de\";i:1;s:12:\"German (Ger)\";i:2;s:12:\"Deutsch (DE)\";i:3;s:2:\"de\";i:4;s:5:\"utf-8\";}s:2:\"en\";a:5:{i:0;s:2:\"en\";i:1;s:7:\"English\";i:2;s:7:\"English\";i:3;s:3:\"enu\";i:4;s:10:\"ISO8859-15\";}s:2:\"es\";a:4:{i:0;s:2:\"es\";i:1;s:7:\"Spanish\";i:2;s:10:\"Castellano\";i:3;s:3:\"esp\";}s:5:\"fr_FR\";a:4:{i:0;s:2:\"fr\";i:1;s:6:\"French\";i:2;s:9:\"Fran├žais\";i:3;s:3:\"fra\";}s:2:\"po\";a:5:{i:0;s:2:\"po\";i:1;s:12:\"Polish (Pol)\";i:2;s:11:\"Polski (PL)\";i:3;s:2:\"po\";i:4;s:5:\"utf-8\";}s:2:\"pt\";a:4:{i:0;s:2:\"pt\";i:1;s:15:\"Portuguese (PT)\";i:2;s:15:\"Portuguesa (PT)\";i:3;s:19:\"Portuguese_Portugal\";}s:5:\"pt_br\";a:4:{i:0;s:5:\"pt_br\";i:1;s:15:\"Portuguese (BR)\";i:2;s:14:\"Portugues (BR)\";i:3;s:5:\"PT-BR\";}}AppUI|O:6:\"CAppUI\":28:{s:5:\"state\";a:11:{s:13:\"CalIdxCompany\";i:1;s:12:\"CalIdxFilter\";s:0:\"\";s:13:\"CalDayViewTab\";i:0;s:12:\"SAVEDPLACE-1\";s:36:\"m=projects&a=view&tab=3&project_id=2\";s:10:\"SAVEDPLACE\";s:36:\"m=projects&a=view&project_id=2&tab=0\";s:10:\"ProjIdxTab\";i:1;s:14:\"ProjIdxCompany\";s:1:\"1\";s:15:\"ProjIdxOrderDir\";s:3:\"asc\";s:9:\"ProjVwTab\";i:0;s:22:\"TaskListShowIncomplete\";i:0;s:12:\"TaskAeTabIdx\";i:0;}s:7:\"user_id\";s:1:\"2\";s:15:\"user_first_name\";s:7:\"Patrick\";s:14:\"user_last_name\";s:7:\"Thielen\";s:12:\"user_company\";s:1:\"1\";s:15:\"user_department\";s:1:\"0\";s:10:\"user_email\";s:22:\"patrick.thielen@ptm.ch\";s:9:\"user_type\";s:1:\"2\";s:10:\"user_prefs\";a:18:{s:12:\"CURRENCYFORM\";s:2:\"en\";s:11:\"EVENTFILTER\";s:3:\"all\";s:6:\"LOCALE\";s:2:\"en\";s:7:\"MAILALL\";s:1:\"1\";s:12:\"SHDATEFORMAT\";s:8:\"%d/%m/%Y\";s:7:\"TABVIEW\";s:1:\"1\";s:13:\"TASKASSIGNMAX\";s:2:\"80\";s:12:\"TASKLOGEMAIL\";s:1:\"1\";s:11:\"TASKLOGNOTE\";s:1:\"0\";s:11:\"TASKLOGSUBJ\";s:0:\"\";s:10:\"TIMEFORMAT\";s:5:\"%H:%M\";s:7:\"UISTYLE\";s:12:\"w2p-snowball\";s:10:\"USERFORMAT\";s:4:\"user\";s:12:\"LGDATEFORMAT\";s:9:\"%B %d, %Y\";s:8:\"TIMEZONE\";s:12:\"Europe/Paris\";s:15:\"DAYLIGHTSAVINGS\";s:1:\"1\";s:13:\"TASKSEXPANDED\";s:1:\"1\";s:14:\"FULLDATEFORMAT\";s:9:\"d/m/Y H:i\";}s:12:\"day_selected\";N;s:11:\"user_locale\";s:2:\"en\";s:9:\"user_lang\";a:4:{i:0;s:13:\"en.ISO8859-15\";i:1;s:3:\"enu\";i:2;s:2:\"en\";i:3;s:2:\"en\";}s:11:\"base_locale\";s:2:\"en\";s:3:\"msg\";s:12:\"Task updated\";s:5:\"msgNo\";i:1;s:15:\"defaultRedirect\";s:0:\"\";s:3:\"cfg\";a:1:{s:11:\"locale_warn\";b:0;}s:13:\"version_major\";i:2;s:13:\"version_minor\";i:1;s:13:\"version_patch\";i:0;s:14:\"version_string\";s:5:\"2.1.0\";s:14:\"last_insert_id\";s:3:\"182\";s:10:\"user_style\";N;s:13:\"user_is_admin\";i:1;s:16:\"long_date_format\";N;s:16:\"\0CAppUI\0objStore\";N;s:10:\"project_id\";i:0;s:14:\"boxTopRendered\";b:1;}all_tabs|a:4:{s:8:\"calendar\";a:0:{}s:8:\"projects\";a:1:{s:4:\"view\";a:4:{i:0;a:3:{s:4:\"name\";s:6:\"Events\";s:4:\"file\";s:92:\"/home/www/90fcf3ba8c546f97b3a543323c86433f/web/w2p/modules/calendar/projects_tab.view.events\";s:6:\"module\";s:8:\"calendar\";}i:1;a:3:{s:4:\"name\";s:5:\"Files\";s:4:\"file\";s:88:\"/home/www/90fcf3ba8c546f97b3a543323c86433f/web/w2p/modules/files/projects_tab.view.files\";s:6:\"module\";s:5:\"files\";}i:2;a:3:{s:4:\"name\";s:7:\"History\";s:4:\"file\";s:92:\"/home/www/90fcf3ba8c546f97b3a543323c86433f/web/w2p/modules/history/projects_tab.view.history\";s:6:\"module\";s:7:\"history\";}i:3;a:3:{s:4:\"name\";s:5:\"Links\";s:4:\"file\";s:88:\"/home/www/90fcf3ba8c546f97b3a543323c86433f/web/w2p/modules/links/projects_tab.view.links\";s:6:\"module\";s:5:\"links\";}}}s:15:\"projectdesigner\";a:0:{}s:5:\"tasks\";a:3:{i:0;a:3:{s:4:\"name\";s:5:\"Files\";s:4:\"file\";s:80:\"/home/www/90fcf3ba8c546f97b3a543323c86433f/web/w2p/modules/files/tasks_tab.files\";s:6:\"module\";s:5:\"files\";}s:4:\"view\";a:3:{i:0;a:3:{s:4:\"name\";s:5:\"Files\";s:4:\"file\";s:85:\"/home/www/90fcf3ba8c546f97b3a543323c86433f/web/w2p/modules/files/tasks_tab.view.files\";s:6:\"module\";s:5:\"files\";}i:1;a:3:{s:4:\"name\";s:5:\"Links\";s:4:\"file\";s:85:\"/home/www/90fcf3ba8c546f97b3a543323c86433f/web/w2p/modules/links/tasks_tab.view.links\";s:6:\"module\";s:5:\"links\";}i:2;a:3:{s:4:\"name\";s:15:\"Other resources\";s:4:\"file\";s:99:\"/home/www/90fcf3ba8c546f97b3a543323c86433f/web/w2p/modules/resources/tasks_tab.view.other_resources\";s:6:\"module\";s:9:\"resources\";}}s:7:\"addedit\";a:1:{i:0;a:3:{s:4:\"name\";s:15:\"Other resources\";s:4:\"file\";s:102:\"/home/www/90fcf3ba8c546f97b3a543323c86433f/web/w2p/modules/resources/tasks_tab.addedit.other_resources\";s:6:\"module\";s:9:\"resources\";}}}}all_crumbs|a:4:{s:8:\"calendar\";a:0:{}s:8:\"projects\";a:1:{s:4:\"view\";a:2:{i:0;a:3:{s:4:\"name\";s:15:\"Projectdesigner\";s:4:\"file\";s:110:\"/home/www/90fcf3ba8c546f97b3a543323c86433f/web/w2p/modules/projectdesigner/projects_crumb.view.projectdesigner\";s:6:\"module\";s:15:\"projectdesigner\";}i:1;a:3:{s:4:\"name\";s:7:\"Reports\";s:4:\"file\";s:94:\"/home/www/90fcf3ba8c546f97b3a543323c86433f/web/w2p/modules/reports/projects_crumb.view.reports\";s:6:\"module\";s:7:\"reports\";}}}s:15:\"projectdesigner\";a:1:{s:5:\"index\";a:1:{i:0;a:3:{s:4:\"name\";s:7:\"Reports\";s:4:\"file\";s:102:\"/home/www/90fcf3ba8c546f97b3a543323c86433f/web/w2p/modules/reports/projectdesigner_crumb.index.reports\";s:6:\"module\";s:7:\"reports\";}}}s:5:\"tasks\";a:0:{}}resource_type_list|a:4:{i:0;a:2:{s:16:\"resource_type_id\";i:0;s:18:\"resource_type_name\";s:13:\"All Resources\";}i:1;a:2:{s:16:\"resource_type_id\";s:1:\"1\";s:18:\"resource_type_name\";s:9:\"Equipment\";}i:2;a:2:{s:16:\"resource_type_id\";s:1:\"2\";s:18:\"resource_type_name\";s:4:\"Tool\";}i:3;a:2:{s:16:\"resource_type_id\";s:1:\"3\";s:18:\"resource_type_name\";s:5:\"Venue\";}}','2011-06-11 22:11:51')) - error was: MySQL server has gone away
Backtrace:
0 /home/www/90fcf3ba8c546f97b3a543323c86433f/web/w2p/classes/w2p/Database/Query.class.php:1116 dprint()
1 /home/www/90fcf3ba8c546f97b3a543323c86433f/web/w2p/includes/session.php:81 exec()
2 : w2PsessionWrite()
3 : session_write_close()
TagsNo tags attached.
Attached Files

-Relationships
related to 0000078closedtrevormorse Task dependencies not cascading 
+Relationships

-Notes

~0002067

caseydk (administrator)

Looks like this has been resolved already.. not sure when
+Notes

-Issue History
Date Modified Username Field Change
2011-06-11 12:24 patrocher New Issue
2011-06-25 23:16 caseydk Project v2.3 Release (Closed) => v2.4 Release (Closed)
2011-07-03 23:34 caseydk Relationship added related to 0000078
2011-07-23 17:24 caseydk Note Added: 0002067
2011-07-23 17:24 caseydk Status new => resolved
2011-07-23 17:24 caseydk Resolution open => fixed
2011-07-23 17:24 caseydk Assigned To => caseydk
2011-08-16 23:49 caseydk Status resolved => closed
2011-08-16 23:49 caseydk Fixed in Version => 2.4
+Issue History